1. Fiat APIs
AIO Docs
EN
  • EN
  • ZH
  • Overview
  • Create API Key
  • Callback
  • Security
  • Pay-in
  • Fiat Pay-in
  • Pay-out
  • API
    • Before You Begin
    • Fiat APIs
      • Fiat Pay-in Overview
      • Create KYC
        POST
      • List KYC
        GET
      • Supported Fiat Currencies
        GET
      • Crypto Map
        GET
      • Payment Methods/Codes
        GET
      • Fiat Deposit Limits
        GET
      • Fiat Pay-in Quote
        POST
      • Create Fiat Pay-in Order
        POST
      • List Fiat Pay-in Orders
        GET
    • Get Txs
      GET
    • Get Sub Txs
      GET
    • Get Tx Info
      GET
    • Create Payin Tx
      POST
    • Create Payin Longtime Tx
      POST
    • Create Payout Tx
      POST
    • Price
      GET
    • Calculate price
      GET
  • Schemas
    • Schemas
      • CallbackReqContentData
      • CallbackSubTxData
      • CallbackTxData
      • CallbackType
      • GetSubTxData
      • SubTxDataExt
      • SubTxStatus
      • GetSubTxDataResponse
      • CreateFiatKycRequest
      • CreateFiatKycResponse
      • Chain
      • ErrorResponseModel
      • PayTxData
      • PayTxStatusData
      • PayinLongTimeTxParams
      • PayinTxParams
      • PayoutSubTxParams
      • PayoutTxParams
      • PriceData
      • RedisKeyData
      • SubTxData
      • SuceedResponseModel
      • TestData
      • Token
      • TxData
      • TxDetailsData
      • TxStatus
      • TxType
      • VsToken
      • TestDataResponse
      • RedisKeyDataResponse
      • PriceDataResponse
      • PayTxDataResponse
      • PayTxStatusDataResponse
      • TxDetailsDataResponse
      • TxDataResponse
  1. Fiat APIs

Crypto Map

Developing
GET
/v2/fiat/crypto-map

What This API Does#

Returns the intersection of AIO-supported AND TransFi-supported chains and tokens.

Query Parameters#

No query parameters.

Response Structure#

[
  {
    "chain": "ETHEREUM",
    "tokens": [
      { "token": "USDT", "crypto_ticker": "USDT" },
      { "token": "USDC", "crypto_ticker": "USDC" }
    ]
  },
  {
    "chain": "POLYGON",
    "tokens": [
      { "token": "USDT", "crypto_ticker": "USDT" }
    ]
  }
]
FieldTypeNullableDescription
chainstringNoBlockchain network name.
tokensarrayNoList of supported tokens for that chain.
tokens[].tokenstringNoToken symbol as used in AIO.
tokens[].crypto_tickerstringNoToken ticker as used by TransFi.

Logic in a Nutshell#

Use chain and token values from this response when creating the linked AIO pay-in transaction and when quoting fiat.

Schema to Add in APIFox#

Add response schema: FiatCryptoMapResponse
{
  "type": "array",
  "items": {
    "type": "object",
    "required": ["chain", "tokens"],
    "properties": {
      "chain": { "type": "string" },
      "tokens": {
        "type": "array",
        "items": {
          "type": "object",
          "required": ["token", "crypto_ticker"],
          "properties": {
            "token": { "type": "string" },
            "crypto_ticker": { "type": "string" }
          }
        }
      }
    }
  }
}

Request

None

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aio.cash/v2/v2/fiat/crypto-map'
Response Response Example
{
    "success": true,
    "msg": "ok",
    "data": {}
}
Modified at 2026-05-18 08:39:10
Previous
Supported Fiat Currencies
Next
Payment Methods/Codes
Built with